\documentclass{SM3Efinal_exam}
\usepackage{multicol}
\usepackage{wrapfig}
\usepackage{enumitem}

\setlength{\columnsep}{5mm}

\newcommand{\ResultsTable}{%
\centerline{%
 \begin{tabular}{|l||c|c|c|c|c|c||c|}
 \hline
\bf Name and surname & \multicolumn{6}{c||}{\bf Problem} & $\boldsymbol{\Sigma}$ \\
 & \small 1 & \small 2 & \small 3 & \small 4 & \small 5 & \small 6 & \\
   \hline
\hspace{92mm} & 
\hspace{6mm} & \hspace{6mm} & 
\hspace{6mm} & \hspace{6mm} &
\hspace{6mm} & \hspace{6mm} &
\hspace{6mm} \\[12mm] 
\hline
\end{tabular}
}}

\begin{document}    
\maketitle{22 May 2024}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\ResultsTable
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{multicols}{2}
\Problem{20}{%
For the given frame structure, using the \emph{simplified displacement method}~(or slope-deflection method) draw internal force diagrams, including all important values. The structure is subjected to a uniform distributed load of intensity $18$~kNm$^{-1}$ and a non-uniform temperature change. Take the Young modulus $E = 20$~GPa and coefficient of thermal expansion~$\alpha = 1.2 \cdot 10^{-5}$~K$^{-1}$.

\centerline{\includegraphics[scale=0.85]{figures/problem01_4}}
}
\end{multicols}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{multicols}{2}
\Problem{20}{%
For the frame structure shown right, determine the degree of static determinacy and, using the \emph{force method}, determine the reactions and draw internal force diagrams, including all important values. All members have the same material and cross-section properties ($E = 25$~GPa). You may neglect the effect of normal and shear forces. 

 \centerline{\includegraphics[scale=0.85]{figures/problem02A_2}}
}
\end{multicols}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{multicols}{2}
\Problem{12}{%

\centerline{\includegraphics[scale=.85]{figures/problem03A_1}}

The given frame structure will be analyzed using the \emph{general displacement method}. All members have the same cross-section properties $EA = 3.3 \cdot 10^6$~kN and $EI = 36 \cdot 10^3$~kNm$^2$. 
%
\begin{itemize}[itemsep=-1ex, leftmargin=1ex]
    \item[a)] Determine the \emph{minimum} number of fundamental unknowns. Re-draw the static scheme, determine the type of each member (CC, CP, PC) and individual unknowns. Write down the physical meaning of each unknown. 
    
    \item[b)] Express all fundamental equations of the displacement method related to $\bf 3$, using the end forces and moments in the global coordinate system~($x_\mathrm{g}, z_\mathrm{g}$), i.e. use the symbols $X_{35}$, $Z_{35}$, or $M_{34}$ without expanding them further. Write down the physical meaning of each equation.
    
    \item[c)] Express the end forces $X_{42}$, $Z_{43}$, $M_{34}$, and $M_{53}$ (in the global coordinate system) in terms of fundamental unknowns while explicitly computing all remaining quantities, and specify their physical units. For instance:
    %
    \begin{align*}
        Z_{31} = 6.88 + 9 \cdot 10^3 \varphi_3 + 1.5 \cdot 10^3 w_3
        \quad
        \text{[m, rad, kN]}
    \end{align*}    
    %   
\end{itemize}
%
}
\end{multicols}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\Problem{8}{%
The given truss structure will be analyzed using the \emph{general displacement method}~(GDM). All members have the same Young modulus $E = 200$~GPa and cross-section area $A = 6 \cdot 10^{-3}$~m$^2$. 

\begin{center}
    \includegraphics[scale=.9]{figures/problem04_3}    
\end{center}

\begin{itemize}\noitemsep
    \item[a)] Re-draw the static scheme and introduce the fundamental unknowns. Write down the physical meaning of each unknown. 
    
    \item[b)] For joint $\bf 4$, express all fundamental equations of the displacement method, using the end forces and moments in the global coordinate system (i.e. use the symbols $X_{43}$ or $Z_{42}$ without expanding them further). Write down the physical meaning of each equation.
    
    \item[c)] Express the end forces $X_{25}$ and $Z_{25}$ (in the global coordinate system) in terms of fundamental unknowns while explicitly computing all remaining quantities, and specify their physical units. 
\end{itemize}
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{multicols}{2}

\Problem{8}{%
The given frame structure will be analyzed using the \emph{force method}. Take $EI$ constant. 

\begin{center}
    \includegraphics[scale=.9]{figures/problem05_2}
\end{center}

\begin{itemize}\noitemsep
    \item[a)] Choose a valid primary structure and graphically denote all primary unknowns of the force method. Write down the physical meaning of each unknown.
    
    \item[b)] Write down all fundamental equations of the force method needed to determine the unknowns. The coefficients $\delta_{ij}$ do not need to be evaluated.
    
    \item[c)] Sketch the static schemes and loads needed to determine the coefficient $\delta_{10}$ (you do not need to draw the diagrams of the corresponding internal forces). Write down the physical meaning of this coefficient. 

    \item[d)] Sketch the static schemes and loads needed to determine the coefficient $\delta_{21}$ (you do not need to draw the diagrams of the corresponding internal forces). Write down the physical meaning of this coefficient. 
\end{itemize}
}
    
\end{multicols}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\smallskip
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{multicols}{2}

\Problem{12}{%
For the truss structure shown right determine the vertical displacement in joint $\bf 4$ using the \emph{principle of virtual forces}. All bars have the same Young modulus of $E = 20$~GPa and cross-section area of $A = 3 \cdot 10^{-2}$~m$^2$. Sketch the deformed shape of the structure, in which you highlight the determined displacement.
%
\begin{center}
    \includegraphics[scale=.9]{figures/problem06A_2}
\end{center}
}

\end{multicols}

\Request

\end{document}